aboutsummaryrefslogtreecommitdiffstats
path: root/main/lvm2/dmeventd.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2014-04-02 09:07:53 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2014-04-02 09:08:04 +0000
commiteaa62329736db071164e51b6e2cc8ae77f4a551a (patch)
tree7a7225b45698cce91b3ee806610520f33924e059 /main/lvm2/dmeventd.initd
parent63be3a8df3941a31abb253ed47bf44c612863b13 (diff)
downloadaports-eaa62329736db071164e51b6e2cc8ae77f4a551a.tar.bz2
aports-eaa62329736db071164e51b6e2cc8ae77f4a551a.tar.xz
main/lvm2: add thin provisioning support
Diffstat (limited to 'main/lvm2/dmeventd.initd')
-rw-r--r--main/lvm2/dmeventd.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/main/lvm2/dmeventd.initd b/main/lvm2/dmeventd.initd
new file mode 100644
index 0000000000..3c2f5f327a
--- /dev/null
+++ b/main/lvm2/dmeventd.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/lvm2/files/dmeventd.initd-2.02.67-r1,v 1.3 2014/02/08 21:17:46 robbat2 Exp $
+
+PIDFILE=/run/dmeventd.pid
+BIN=/sbin/dmeventd
+
+depend() {
+ # As of .67-r1, we call ALL lvm start/stop scripts with --sysinit, that
+ # means dmeventd is NOT notified, as it cannot be safely running
+ after lvm device-mapper
+}
+
+start() {
+ ebegin "Starting dmeventd"
+ start-stop-daemon --start --exec $BIN --pidfile $PIDFILE
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping dmeventd"
+ start-stop-daemon --stop --exec $BIN --pidfile $PIDFILE
+ eend $?
+}
+